<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>XMLTVParser</groupId>
	<artifactId>XMLTVParser</artifactId>
	<packaging>jar</packaging>
	<version>0.0.1-SNAPSHOT</version>
	<name>XMLTVParser</name>
	<description>Parser pour les fichiers XMLTV</description>
	
	<!-- BEGIN : PROPERTIES -->
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    	<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
	</properties>
	<!-- END : PROPERTIES -->
	
	<!-- BEGIN : BUILDS -->
	<build>
		<sourceDirectory>src</sourceDirectory>
		<testSourceDirectory>test</testSourceDirectory>
		<!-- BEGIN : PLUGINS -->
		<plugins>				
			<plugin>
			    <artifactId>maven-resources-plugin</artifactId>
			    <version>3.1.0</version>
			    <configuration>
			        <outputDirectory>${basedir}/target/resources</outputDirectory>
					    <resources>
					        <resource>
					            <directory>${basedir}/resources</directory>
					        </resource>
					    </resources>
			    </configuration>
			</plugin>
							
			<!-- BEGIN : MAVEN DEPENDENCY -->
			<plugin>
			    <groupId>org.apache.maven.plugins</groupId>
			    <artifactId>maven-dependency-plugin</artifactId>
			    <version>2.8</version>
			    <executions>
			        <execution>
			             <id>copy-dependencies</id>
			             <phase>package</phase>
			             <goals>
			                 <goal>copy-dependencies</goal>
			             </goals>
			             <configuration>
			                 <outputDirectory>${project.build.directory}/lib</outputDirectory>
			             </configuration>
			        </execution>
			     </executions>
			</plugin>
			<!-- END : MAVEN DEPENDENCY -->
		
			<!-- BEGIN : MAVEN COMPILER -->
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.0</version>
				<configuration>
					<release>11</release>
				</configuration>
			</plugin>
			<!-- END : MAVEN COMPILER -->
			
			<!-- BEGIN : MAVEN SUREFIRE -->
			<plugin>
            	<artifactId>maven-surefire-plugin</artifactId>
            	<version>2.22.2</version>
        	</plugin>
        	<!-- END : MAVEN SUREFIRE -->
        	
        	<!-- BEGIN : MAVEN FAILSAFE -->
        	<plugin>
            	<artifactId>maven-failsafe-plugin</artifactId>
            	<version>2.22.2</version>
        	</plugin>
        	<!-- END : MAVEN FAILSAFE -->
        	
        	<!-- BEGIN : JAR -->
        	<plugin>
      			<!-- Build an executable JAR -->
      			<groupId>org.apache.maven.plugins</groupId>
      			<artifactId>maven-jar-plugin</artifactId>
      			<version>3.2.0</version>
      			<configuration>
	        		<archive>
	          			<manifest>
	            			<addClasspath>true</addClasspath>
	            			<classpathPrefix>lib/</classpathPrefix>
	            			<mainClass>fr.polytech.ybene.prd.parser.XMLTVParser</mainClass>
	          			</manifest>
	        		</archive>
      			</configuration>
    		</plugin>
    		<!-- END : JAR -->
		</plugins>
		<!-- END : PLUGINS -->
	</build>
	<!-- END : BUILDS -->
	
	<!-- BEGIN : DEPENDENCIES -->
	<dependencies>
		<!-- BEGIN : LOG4J -->
		<dependency>
		    <groupId>log4j</groupId>
		    <artifactId>log4j</artifactId>
		    <version>1.2.17</version>
		</dependency>
	
		<dependency>
		    <groupId>org.apache.logging.log4j</groupId>
		    <artifactId>log4j-api</artifactId>
		    <version>2.13.0</version>
		</dependency>
		
		<dependency>
		    <groupId>org.apache.logging.log4j</groupId>
		    <artifactId>log4j-core</artifactId>
		    <version>2.13.0</version>
		</dependency>
		<!-- END : LOG4J -->
				
		<!-- BEGIN : JUNIT5 -->
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-engine</artifactId>
            <version>5.6.0</version>
            <scope>test</scope>
        </dependency>
        
        <dependency>
            <groupId>org.junit.platform</groupId>
            <artifactId>junit-platform-runner</artifactId>
            <version>1.6.0</version>
            <scope>test</scope>
        </dependency>
        
        <dependency>
            <groupId>org.junit.vintage</groupId>
            <artifactId>junit-vintage-engine</artifactId>
            <version>5.6.0</version>
            <scope>test</scope>
        </dependency>
        <!-- END : JUNIT5 -->
	</dependencies>
	<!-- END : DEPENDENCIES -->
</project>